@import url('https://fonts.googleapis.com/css?family=Open+Sans');

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: local('Material Icons'), local('MaterialIcons-Regular'),
    url(https://fonts.gstatic.com/s/materialicons/v18/2fcrYFNaTjcS6g4U3t-Y5ZjZjT5FdEJ140U2DJYC3mY.woff2) format('woff2');
}

.footer-container {
  background-color: #e6e6e6;
}

.footer {
  bottom: 5px;
  margin: 16px 0 24px 0;
  font-size: 14px;
  color: #4a4a4a;
  padding: 0 10px;
}

.footer a {
  color: inherit;
  text-decoration: none;
}

.footer .tripica {
  color: #090071;
  font-weight: 600;
}

.footer .greentripica {
  color: #00dd95;
}

.animate-show-hide.ng-hide {
  opacity: 0;
}

.animate-show-hide.ng-hide-add,
.animate-show-hide.ng-hide-remove {
  transition: all linear 0.5s;
}

.material-icons {
  color: #5b9bd5;
  direction: ltr;
  display: inline-block;
  font-family: 'Material Icons';
  font-size: 48px; /* Preferred icon size */
  font-style: normal;
  font-weight: normal;
  letter-spacing: normal;
  line-height: 1;
  padding: 12px;
  text-transform: none;
  white-space: nowrap;
  word-wrap: normal;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
}

.small-icon {
  padding: 0;
}

.material-icons.md-24 {
  font-size: 24px;
}
.material-icons.md-36 {
  font-size: 36px;
}
.material-icons.md-18 {
  font-size: 18px;
}
.material-icons.detailsPadding {
  padding: 0 5px 0 0;
}
.color-Pica,
legend.color-Pica a .material-icons:hover {
  color: #43546a;
}

.color-tri {
  color: #5b9bd5;
}

#logoMenu {
  width: 75px;
  height: 50px;
  padding-left: 20px;
}

body {
  background-color: #e6e6e6;
  font-family: 'Open Sans';
  min-width: 320px;
}

.oneInputForm {
  margin: 0;
}

.noBorderFieldset {
  border: none;
}

fieldset {
  border-color: #eaf3fa;
}

fieldset:active legend .required {
  color: red;
}

md-select:not([disabled]):focus .md-select-value {
  border-bottom-color: #5b9bd5;
}

md-table {
  margin: 0 10px;
}

md-toast {
  position: fixed;
}

md-toast.done i {
  color: green;
}

md-toast.error i {
  color: red;
}

md-toast.info i {
  color: blue;
}

md-toast.watch_later i {
  color: blue;
}

md-toast.warning i {
  color: orange;
}

textarea.inForm {
  width: -webkit-fill-available;
  height: 300px;
}

.header {
  background-color: #110076;
  border-bottom: 1px #342f70 solid;
  height: 50px;
}

.header .switchDarkLight {
  margin: 0 !important;
}

.header-logo {
  height: 50px;
}

.header-logo-crm {
  height: 50px;
}

.header .box > a {
  -webkit-align-self: center;
  align-self: center;
  margin: 16px 0;
}

.header .box a figure {
  -webkit-display: flex;
  -webkit-flex-direction: column;
  -webkit-justify-content: center;
  flex-direction: column;
  height: 28px;
  justify-content: center;
}

.header .box > a figure img {
  height: 100%;
}

#pageName {
  width: 135px;
  height: 50px;
  border-right: 1px #352f6f solid;
}

#loginMenu {
  font-size: 15px;
  color: #efefef;
  padding-top: 15px;
  padding-right: 15px;
}

.log-button {
  background-color: white;
}

.log-button:hover {
  background-color: #eaf3fa !important;
  color: #43546a;
}

.page-container {
  background-color: #e6e6e6;
  display: block;
}

.page {
  background-color: white;
  display: block;
  float: none;
  padding: 15px;
  width: auto;
}

.page .smallSize {
  font-size: 12px;
}

md-tabs {
  background-color: #110076;
  border-radius: 0;
}

md-tabs md-tabs,
md-dialog md-tabs {
  background-color: white;
}

md-tabs[md-border-bottom] md-tabs-wrapper {
  border-width: 0;
}

md-tabs md-ink-bar {
  background-color: white;
}

md-tabs md-tabs md-ink-bar,
md-dialog md-tabs md-ink-bar {
  background-color: #5b9bd5;
}

md-radio-button.md-default-theme .md-on,
md-radio-button .md-on {
  background-color: #5b9bd5;
}

md-radio-button.md-default-theme.md-checked .md-off,
md-radio-button.md-checked .md-off {
  border-color: #5b9bd5;
}

md-tabs .md-tab,
md-tabs .md-tab.md-active {
  color: white;
}

md-tabs md-tabs .md-tab,
md-tabs md-tabs .md-tab.md-active,
md-dialog md-tabs .md-tab,
md-dialog md-tabs .md-tab.md-active {
  color: #5b9bd5;
}

md-checkbox.md-checked .md-ink-ripple {
  color: #5b9bd5;
}

md-checkbox.md-checked .md-icon {
  background-color: #5b9bd5;
}

md-checkbox .md-label {
  color: #43546a;
}

.md-input-focused label {
  color: #5b9bd5 !important;
}

.md-input {
  color: #43546a !important;
}

.md-input:focus {
  border-color: #5b9bd5 !important;
}

.button {
  background-color: #5b9bd5;
  color: #ffffff;
  float: right;
}

.button:disabled {
  background-color: #d6e6f5;
  color: #ffffff;
}

.button:not([disabled]):hover {
  background-color: #43546a;
}

.trpcColor {
  background-color: #5c9edb;
}

.trpcColor2 {
  background-color: #0b610b;
}

.clear {
  clear: both;
}

.detail {
  min-width: 200px;
  margin: 10px 0 15px 2%;
  float: left;
}

.detailTitle {
  text-align: center;
  color: #fff;
  padding: 5px;
  font-size: 16px;
}

.detailNbr {
  text-align: center;
  color: #fff;
  font-size: 18px;
  padding: 2px 0 8px 0;
  text-shadow: 2px 2px 5px #333;
}

.detailAmount {
  text-align: center;
  color: #fff;
  font-size: 18px;
  padding-bottom: 6px;
  text-shadow: 2px 2px 5px #333;
}

.tileTitle {
  text-align: center;
  color: #fff;
  padding: 5px;
  font-size: 20px;
}

.tileContent {
  text-align: center;
  color: #fff;
  font-size: 30px;
  margin: 15px 0;
  text-shadow: 2px 2px 5px #333;
}
.reportText {
  font-size: 24px;
  color: #5b9bd5;
  text-align: center;
  width: 89%;
  display: inline-block;
}

.reportText .title {
  font-variant: small-caps;
}
.reportText .material-icons {
  font-size: 19px;
  color: #5b9bd5;
}

.typeTitle {
  padding-top: 7%;
  font-size: 22px;
  color: #5b9bd5;
  font-variant: small-caps;
}

.entity-attributes-list md-list-item {
  height: 25px;
  min-height: 25px;
}

.entity-attributes-list md-list-item.list {
  height: auto;
}

.entity-attributes-list md-list-item span,
.entity-attributes-list md-list-item table {
  flex: 1;
}

.entity-attributes-list md-list-item table,
table.huge {
  border-collapse: collapse;
  font-size: xx-small;
}

table.smallBorder {
  border: 1px solid grey;
  border-collapse: collapse;
}

table.secondLevel {
  margin-left: 70px;
}

table.smallBorder th,
table.smallBorder td {
  padding: 2px;
  font-variant: small-caps;
}

tr.entity-attribute-names th {
  font-variant: small-caps;
}

.entity-attribute-name {
  color: #5b9bd5;
  font-size: 18px;
  font-variant: small-caps;
  padding-right: 5px;
  text-align: right;
}

.customerTabs md-tab-content {
  background-color: #eaf3fa;
}

.customerTabs .titleCharac {
  display: inline-block;
  font-size: 15px;
  font-variant: small-caps;
  text-align: right;
}

.customerTabs .title {
  display: inline-block;
  color: #5b9bd5;
  font-size: 18px;
  font-variant: small-caps;
  text-align: right;
}

.customerTabs .customerTitle {
  min-width: 265px;
}

.customerTabs .fileTitle {
  color: #5b9bd5;
  font-size: 16px;
  font-variant: small-caps;
  text-align: right;
}

.customerTabs md-card.file {
  background: #eaf3fa;
}
.customerTabs .fileDetail {
  color: #6b6f73;
  font-size: 14px;
  font-variant: small-caps;
  word-wrap: break-word;
}

.customerTabs .lineTitle {
  min-width: 100px;
}

.customerTabs p.lineDetails {
  margin-top: 4px;
  margin-left: 30px;
}

.layoutConnexion {
  margin-top: 74px;
  width: 100%;
}

.layoutConnexion .content {
  padding: 20px;
}

.sectionEltDetails .block {
  display: block;
}

.sectionEltDetails .secondLevel {
  margin-left: 70px;
}

.sandboxResult {
  padding: 5px;
}

.pointer {
  cursor: pointer;
}

.hide {
  display: none;
}

.reportName {
  font-size: 20px;
  font-variant: small-caps;
  padding: 15px 0 0 20px;
}

div.result {
  height: fit-content;
}

textarea.wide {
  height: 400px;
  width: 500px;
}

#charges tr td,
#paymentsRequest tr td,
#balances tr td {
  min-width: 105px;
}

.horizontalScroll {
  overflow-x: auto;
}

#textarea_sandbox {
  font-family: monospace;
  min-height: 300px;
  min-width: 900px;
}

md-dialog {
  min-width: 50% !important;
}

#loading {
  z-index: 9999;
  position: absolute;
  top: 0;
  left: 0;
  height: 150%;
  width: 100%;
  opacity: 0.7;
  background: #dddddd;
  display: none;
}

#loader {
  position: absolute;
  top: 35%;
  left: 48%;
  height: 70px;
  width: 70px;
  opacity: 1;
}

.strike {
  text-decoration-line: line-through;
}

.json-filter {
  font-family: monospace;
}

.childBillingAccount {
  margin-left: 215px !important;
  margin-bottom: 20px !important;
  background: #fff;
}

.groupBillingAccount {
  margin-bottom: 50px;
}

.highlight {
  background: #cdcdcd;
}

.pointer {
  cursor: pointer;
  color: blue;
}

.yellow {
  background: yellow;
}

.bgRed {
  background: #ff6961;
}
.bgGreen {
  background: #b0f2b6;
}
.bgPaleGreen {
  background: #e1efeb;
}

.mainPaymentRequest {
  width: 100%;
  margin-bottom: 20px;
  border: 1px #444 solid;
}
.mainPaymentRequest .paymentDate {
  width: 100%;
  background: #eee;
}
.mainPaymentRequest .paymentInfo {
  width: 48%;
  float: left;
  padding: 0 1%;
}
.mainPaymentRequest .relatedCharges {
  width: 48%;
  float: left;
  padding: 0 1%;
}
.clearBoth {
  clear: both;
}

.secondaryPaymentRequest {
  width: 95%;
  margin-bottom: 20px;
  margin-left: 5%;
  border: 1px #444 solid;
}
.secondaryPaymentRequest .paymentDate {
  width: 100%;
  background: #eee;
}
.secondaryPaymentRequest .paymentInfo {
  width: 48%;
  float: left;
  padding: 0 1%;
}
.secondaryPaymentRequest .relatedCharges {
  width: 48%;
  float: left;
  padding: 0 1%;
}
.settlementKeyName {
  width: 160px;
  display: inline-block;
}
object-editor {
  display: grid;
  min-height: 300px;
}

.word-break {
  word-break: break-word;
  white-space: normal;
}

.float-right {
  float: right;
}

.two-column-div {
  column-count: 2;
  -webkit-column-count: 2;
  display: flex;
  -webkit-display: flex;
}

.body-home {
  background-image: url('../../shared/icons/interconneted-tripica-bg.jpg');
  background-size: contain;
}

.footer-home {
  display: flex;
  -webkit-display: flex;
  flex-direction: row;
  justify-content: center;
}

.footer-home a {
  color: #f8f8f8;
  text-decoration: none;
}

.footer-home-text {
  font-size: 14px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.43;
  letter-spacing: 0.1px;
  color: #f8f8f8;
}

.text-success {
  color: #6bae1e;
}

.text-warn {
  color: #f5a524;
}

.text-error {
  color: #ff4d4d;
}

.subtitle {
  margin-block-start: 5px;
  margin-block-end: 5px;
}

.billing-account-relationships {
  background: #f8f8f8;
}
